Subject: Re: Automating Windows from cygwin
From: "Samuel" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 1 Aug 2002 12:55:01 -0700

----- Original Message -----
From: "James Ganong" <jeg@thunnus>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, July 31, 2002 1:36 PM
Subject: Automating Windows from cygwin

>
> I have some scientific instruments that will only talk to
> a proprietary Windows app, and some Linux programs that
> analyze the data.
> I would really like to automate the process of running the Windows
> program so that the Linux programs could talk to cygwin over the net
> and get the data.
> The problem is that the windows app was written long ago,
> and source is not available.  So I am wondering if there
> is a way to run an arbitrary windows application and do something
> like mouse macros from cygwin.
>
> Does anybody know of a way to do mouse macros from cygwin, or a way
> to invoke menu items from a arbitrary windows app from cygwin, or a better
way
> to approach this?  I have the impression that some people do mouse macros
> via vnc.  Is there some O'Reilly book that I should have read?

If You can't find anything simpler then you could write your own routine
that uses Windows Hooks to do that. You probably do not need a "mouse
macro"; you probably just need to issue commands (use the menus) and
exchange data, which can probably be done without using the mouse. Since
none of that probably have anything to do with CygWin they could be and
should be discussed in a Windows programming group. I have a collection of
resources about Windows Hooks in my web site at:

http://www.cpp.atfreeweb.com/Hooks.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/